kr.co.hanwha.hifive.adapter.viewholder

## Class SearchTaskListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.SearchTaskListViewHolder

    public class SearchTaskListViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 1. 23..

### Field Summary

Fields
`private HFEvaluationStarListView` `mEvaluationStarListView`
`private android.widget.ImageView` `mImageViewArrow`
`private android.widget.LinearLayout` `mLayoutContainer`
`private SearchTaskListContract.OnSearchListListener` `mOnSearchListListener`
`private android.widget.TextView` `mTextViewAuthorName`
`private android.widget.TextView` `mTextViewDueDate`
`private android.widget.TextView` `mTextViewMyTask`
`private android.widget.TextView` `mTextViewReceiverName`
`private android.widget.TextView` `mTextViewTitle`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`SearchTaskListViewHolder(android.view.ViewGroup viewGroup, SearchTaskListContract.OnSearchListListener onSearchListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mLayoutContainer

    private android.widget.LinearLayout mLayoutContainer

#### mTextViewDueDate

    private android.widget.TextView mTextViewDueDate

#### mEvaluationStarListView

    private HFEvaluationStarListView mEvaluationStarListView

#### mTextViewMyTask

    private android.widget.TextView mTextViewMyTask

#### mTextViewAuthorName

    private android.widget.TextView mTextViewAuthorName

#### mImageViewArrow

    private android.widget.ImageView mImageViewArrow

#### mTextViewReceiverName

    private android.widget.TextView mTextViewReceiverName

#### mTextViewTitle

    private android.widget.TextView mTextViewTitle

#### mOnSearchListListener

    private SearchTaskListContract.OnSearchListListener mOnSearchListListener

### Constructor Detail

#### SearchTaskListViewHolder

    public SearchTaskListViewHolder(@NonNull
                                    android.view.ViewGroup viewGroup,
                                    SearchTaskListContract.OnSearchListListener onSearchListListener)

### Method Detail

#### onBind

    public void onBind(java.lang.Object object,
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`